{% extends 'frontend/shared/layouts/default.html.twig' %}
{% block stylesheets %}
<style>
.container-social{justify-content:center!important}
.box.box-green .social-box{width:calc(100% / 5)}
.school-detail-comparison table td h4 span{font-weight:500;color:#2a81ba}
.banner-ismobi{display:none}
.box-ad.text-center img{margin:auto}
@media (max-width: 992px){
    .banner-ismobi{display:block}
    .banner-isweb{display:none}
}
@media (max-width: 768px){
    .container-social{flex-flow: wrap}
    .box.box-green .social-box{width:calc(100% / 2)}
}
</style>
{% endblock %}
{% block body %}
    <main id="main" class="school-detail">
        <div class="container-fluid">
            <div class="row school-detail-overview">
                <div class="col-12">
                    <div class="box box-blue">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-lg-4 col-12 school-rank">
                                    <div class="row row-center" style="display: flex; justify-content: center; align-items: center;">
                                        <div class="col-xs-6">
                                            <div class="school-overview-ranking" style="">
                                                <div style="">Classement {{ currentYear }}</div>
                                                <h2 style="">{{ arrayGet(school, 'rankNumber') }}</h2>
                                                <p class="text-center"></p>
                                            </div>
                                        </div>
                                        <div class="col-xs-6">
                                            <div class='school-box'>
                                                {% if school.logo is not empty %}
                                                    <img src="{{ school.logo }}" alt="{{ school.name }}" />
                                                {% endif %}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-5 col-12 school-text">
                                    <h1>{{ school.name }}</h1>
                                    <p>Classement {{ currentYear }}</p>
                                </div>
                                <div class="col-lg-3 col-md-12 school-rank img-rk">
                                    <img src="{{ asset('assets/images/school/school-overview.png') }}" alt="" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="row school-detail-comparison">
                <div class="col-md-12 col-12">
                    <h2>Le Classement de <span class="type-1">{{ school.name }}</span> {{ currentYear }} établie par StudiesAdvisor <span class="type-1">prends la <span class="type-2">{{ school.rankNumber ~ (school.rankNumber == 1 ? 'ère' : 'ème') }}</span> place des</span> <span class="type-2" style="text-transform: lowercase">{{ arrayGet(school, 'schoolType.name', '') }}</span>. <span class="type-1">Ce classement des</span> <span class="type-2" style="text-transform: lowercase">{{ arrayGet(school, 'schoolType.name', '') }}</span> <span class="type-1">reprends les éléments suivants:</span></h2>
                    <table class="large-view" width="100%" cellpadding="0" cellspacing="0">
                        <thead>
                        <tr>
                            <td></td>
                            {% if school.saRating or arrayGet(school, 'schoolLink.saMasters') or arrayGet(school, 'schoolLink.saMba') or arrayGet(school, 'schoolLink.saBachelors') or arrayGet(school, 'schoolLink.saGrandesEcoles') %}
                            <td>
                                <div class="branch-1">
                                    <img src="{{ asset('assets/images/school/logo-sa.png') }}" alt="" />
                                    <h4>{{ school.name }} sur <span>StudiesAdvisor.net</span></h4>
                                </div>
                            </td>
                            {% endif %}

                            {% if school.diplomeoRating or diplomeoUrl %}
                            <td>
                                <div class="branch-1">
                                    <img src="{{ asset('assets/images/school/logo-diplomeo.png') }}?v=1" alt="" />
                                    <h4>{{ school.name }} sur <span>Diplomeo.com</span></h4>
                                </div>
                            </td>
                            {% endif %}

                            {% if school.letudiantRating or letudiantUrl %}
                            <td>
                                <div class="branch-1">
                                    <img src="{{ asset('assets/images/school/logo-etudiant.png') }}" alt="" />
                                    <h4>{{ school.name }} sur <span>L'étudiant.fr</span></h4>
                                </div>
                            </td>
                            {% endif %}
                            {% if school.googleRating or googlePlaceUrl %}
                            <td>
                                <div class="branch-1">
                                    <img src="{{ asset('assets/images/school/logo-google.png') }}" alt="" />
                                    <h4>{{ school.name }} sur <span>Google</span></h4>
                                </div>
                            </td>
                            {% endif %}
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td class="pl-4">La moyenne général</td>
                            {% if school.saRating or arrayGet(school, 'schoolLink.saMasters') or arrayGet(school, 'schoolLink.saMba') or arrayGet(school, 'schoolLink.saBachelors') or arrayGet(school, 'schoolLink.saGrandesEcoles') %}
                            <td class="text-center">
                                <div class="circle" data-value="{{ school.saRatingOf10 / 10 }}">
                                    <strong></strong>
                                </div>
                            </td>
                            {% endif %}
                            {% if school.diplomeoRating or diplomeoUrl %}
                            <td class="text-center">
                                <div class="circle" data-value="{{ school.diplomeoRatingOf10 / 10 }}">
                                    <strong></strong>
                                </div>
                            </td>
                            {% endif %}
                            {% if school.letudiantRating or letudiantUrl %}
                            <td class="text-center">
                                <div class="circle" data-value="{{ school.letudiantRatingOf10 / 10 }}">
                                    <strong></strong>
                                </div>
                            </td>
                            {% endif %}
                            {% if school.googleRating or googlePlaceUrl %}
                            <td class="text-center">
                                <div class="circle" data-value="{{ school.googleRatingOf10 / 10  }}">
                                    <strong></strong>
                                </div>
                            </td>
                            {% endif %}
                        </tr>
                        <tr>
                            <td class="pl-4">Le nombre d'avis</td>
                            {% if school.saRating or arrayGet(school, 'schoolLink.saMasters') or arrayGet(school, 'schoolLink.saMba') or arrayGet(school, 'schoolLink.saBachelors') or arrayGet(school, 'schoolLink.saGrandesEcoles') %}
                            <td class="text-center"><span class="avis-number">{{ school.saReview | formatNumber }}</span> Avis et notes</td>
                            {% endif %}

                            {% if school.diplomeoRating or diplomeoUrl %}
                            <td class="text-center"><span class="avis-number">{{ school.diplomeoReview | formatNumber }}</span> Avis et notes</td>
                            {% endif %}

                            {% if school.letudiantRating or letudiantUrl %}
                            <td class="text-center"><span class="avis-number">{{ school.letudiantReview | formatNumber }}</span> Avis et notes</td>
                            {% endif %}

                            {% if school.googleRating or googlePlaceUrl %}
                            <td class="text-center"><span class="avis-number">{{ school.googleReview | formatNumber }}</span> Avis et notes</td>
                            {% endif %}
                        </tr>
                        <tr>
                            <td class="pl-4">Consulter les avis étudiants / Retrouver la page de <span>{{ school.name }}</span></td>

                            {% if school.saRating or arrayGet(school, 'schoolLink.saMasters') or arrayGet(school, 'schoolLink.saMba') or arrayGet(school, 'schoolLink.saBachelors') or arrayGet(school, 'schoolLink.saGrandesEcoles') %}
                            <td class="text-center">
                                {% if arrayGet(school, 'schoolLink.saMasters') %}
                                <p>
                                    <a href="{{ arrayGet(school, 'schoolLink.saMasters') }}" target="_blank" data-toggle="tooltip" data-placement="bottom" data-html="true" title="<span>Consulter les avis étudiants en Mastères de <span>&#34;{{ school.name }}&#34;</span> sur StudiesAdvisor</span>">
                                        <img src="{{ asset('assets/images/icon/link.png') }}" style="width: 13px;" alt="" /> avismasters.fr
                                    </a>
                                </p>
                                {% endif %}

                                {% if arrayGet(school, 'schoolLink.saMba') %}
                                <p>
                                    <a href="{{ arrayGet(school, 'schoolLink.saMba') }}" target="_blank" data-toggle="tooltip" data-placement="bottom" data-html="true" title="<span>Consulter les avis étudiants en MBA de <span>&#34;{{ school.name }}&#34;</span> sur StudiesAdvisor</span>">
                                        <img src="{{ asset('assets/images/icon/link.png') }}" style="width: 13px;" alt="" /> avismba.fr
                                    </a>
                                </p>
                                {% endif %}

                                {% if arrayGet(school, 'schoolLink.saBachelors') %}
                                <p>
                                    <a href="{{ arrayGet(school, 'schoolLink.saBachelors') }}" target="_blank" data-toggle="tooltip" data-placement="bottom" data-html="true" title="<span>Consulter les avis étudiants en Licences de <span>&#34;{{ school.name }}&#34;</span> sur StudiesAdvisor</span>">
                                        <img src="{{ asset('assets/images/icon/link.png') }}" style="width: 13px;" alt="" /> avisbachelors.fr
                                    </a>
                                </p>
                                {% endif %}

                                {% if arrayGet(school, 'schoolLink.saGrandesEcoles') %}
                                <p>
                                    <a href="{{ arrayGet(school, 'schoolLink.saGrandesEcoles') }}" target="_blank" data-toggle="tooltip" data-placement="bottom" data-html="true" title="<span>Consulter les avis étudiants de grande école <span>&#34;{{ school.name }}&#34;</span> sur StudiesAdvisor</span>">
                                        <img src="{{ asset('assets/images/icon/link.png') }}" style="width: 13px;" alt="" /> avisgrandesecoles.fr
                                    </a>
                                </p>
                                {% endif %}
                            </td>
                            {% endif %}

                            {% if school.diplomeoRating or diplomeoUrl %}
                            <td class="text-center"><a href="{{ diplomeoUrl }}" target="_blank" data-toggle="tooltip" 
                            data-placement="bottom" data-html="true" 
                            title="<span>Retrouver la page de <span>{{ school.name }}</span> sur <span>Diplomeo</span></span>">
                            <img src="{{ asset('assets/images/icon/link.png') }}" alt="" /></a></td>
                            {% endif %}

                            {% if school.letudiantRating or letudiantUrl %}
                            <td class="text-center"><a href="{{ letudiantUrl }}" target="_blank" data-toggle="tooltip" data-placement="bottom" 
                            data-html="true" 
                            title="<span>Retrouver la page de <span>{{ school.name }}</span> sur <span>L'etudiant</span></span>">
                            <img src="{{ asset('assets/images/icon/link.png') }}" alt="" /></a></td>
                            {% endif %}

                            {% if school.googleRating or googlePlaceUrl %}
                            <td class="text-center"><a href="{{ googlePlaceUrl }}" target="_blank" data-toggle="tooltip" 
                            data-placement="bottom" data-html="true" title="<span>Retrouver la page de <span>{{ school.name }}</span> sur <span>Google My Business</span></span>"><img src="{{ asset('assets/images/icon/link.png') }}" alt="" /></a></td>
                            {% endif %}
                        </tr>
                        </tbody>
                    </table>
                    <table class="small-view" width="100%" cellpadding="0" cellspacing="0">
                        <thead>
                            <tr>
                                <td class="radius-left"></td>
                                <td>La moyenne général</td>
                                <td>Le nombre d'avis</td>
                                <td class="radius-right"></td>
                            </tr>
                        </thead>
                        <tbody>

                            {% if school.saRating or arrayGet(school, 'schoolLink.saMasters') or arrayGet(school, 'schoolLink.saMba') or arrayGet(school, 'schoolLink.saBachelors') or arrayGet(school, 'schoolLink.saGrandesEcoles') %}
                            <tr>
                                <td class="t-logo radius-left">
                                    <img src="{{ asset('assets/images/school/logo-sa.png') }}" alt="" />
                                </td>
                                <td>{{ school.saRatingOf10 }}/10</td>
                                <td>{{ school.saReview | formatNumber }}</td>
                                <td class="t-link radius-right">
                                    <a data-toggle="tooltip" data-placement="bottom" data-html="true" title="" data-original-title="
                                    <span class='text-center'>
                                    {% if arrayGet(school, 'schoolLink.saMasters') %}
                                        <a href='{{ arrayGet(school, 'schoolLink.saMasters') }}' target='_blank'>avismasters.fr</a>
                                    {% endif %}
                                    {% if arrayGet(school, 'schoolLink.saMba') %}
                                        <a href='{{ arrayGet(school, 'schoolLink.saMba') }}' target='_blank'>avismba.fr</a>
                                    {% endif %}
                                    {% if arrayGet(school, 'schoolLink.saBachelors') %}
                                        <a href='{{ arrayGet(school, 'schoolLink.saBachelors') }}' target='_blank'>avisbachelors.fr</a>
                                    {% endif %}
                                    {% if arrayGet(school, 'schoolLink.saGrandesEcoles') %}
                                        <br />
                                        <br />
                                        <a href='{{ arrayGet(school, 'schoolLink.saGrandesEcoles') }}' target='_blank'>avisgrandesecoles.fr</a>
                                    {% endif %}
                                    </span>">
                                        <img src="{{ asset('assets/images/icon/link.png') }}" alt="" />
                                    </a>
                                </td>
                            </tr>
                            {% endif %}

                            {% if school.diplomeoRating or diplomeoUrl %}
                            <tr>
                                <td class="t-logo radius-left">
                                    <img src="{{ asset('assets/images/school/logo-diplomeo.png') }}?v=1" alt="" />
                                </td>
                                <td>{{ school.diplomeoRatingOf10 }}/10</td>
                                <td>{{ school.diplomeoReview | formatNumber }}</td>
                                <td class="t-link radius-right">
                                    <a href="{{ diplomeoUrl }}" target="_blank">
                                        <img src="{{ asset('assets/images/icon/link.png') }}" alt="" />
                                    </a>
                                </td>
                            </tr>
                            {% endif %}

                            {% if school.letudiantRating or letudiantUrl %}
                            <tr>
                                <td class="t-logo radius-left">
                                    <img src="{{ asset('assets/images/school/logo-etudiant.png') }}" alt="" />
                                </td>
                                <td>{{ school.letudiantRatingOf10 }}/10</td>
                                <td>{{ school.letudiantReview | formatNumber }}</td>
                                <td class="t-link radius-right">
                                    <a href="{{ letudiantUrl }}" target="_blank">
                                        <img src="{{ asset('assets/images/icon/link.png') }}" alt="" />
                                    </a>
                                </td>
                            </tr>
                            {% endif %}

                            {% if school.googleRating or googlePlaceUrl %}
                            <tr>
                                <td class="t-logo radius-left">
                                    <img src="{{ asset('assets/images/school/logo-google.png') }}" alt="" />
                                </td>
                                <td>{{ school.googleRatingOf10 }}/10</td>
                                <td>{{ school.googleReview | formatNumber }}</td>
                                <td class="t-link radius-right">
                                    <a href="{{ googlePlaceUrl }}" target="_blank">
                                        <img src="{{ asset('assets/images/icon/link.png') }}" alt="" />
                                    </a>
                                </td>
                            </tr>
                            {% endif %}

                        </tbody>
                    </table>
                </div>
            </div>

            <div class="row">
                <div class="school-detail-3cols">
					<div class="col-lg-4 col-md-12 col-12 c1" style="" >
						<div class="box box-ad">
                            <a href="https://eduniversal-matching.com/inscription-etudiant?utm_source=StudiesAdvisor&utm_medium=Banners" target="_blank">
                                <img src="{{ asset('assets/images/banner/banner-school-detail-web.jpg') }}" alt=""/>
                                {# <img class="banner-ismobi" src="{{ asset('assets/images/banner/banner-school-detail-mobi.jpg') }}" alt=""/> #}
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-12 col-12 cs c2">
                        <div class="box box-green">
                            <h4>{{ school.name }} <span>sur les réseaux sociaux</span></h4>

                            <div class="container-social">
                                {% if facebookUrl %}
                                    <div class="social-box">
                                        <a class="wow zoomIn" data-wow-delay=".2s" target="_blank" href="{{ facebookUrl }}"><i class="fa fa-facebook"></i></a>
                                        <div style="margin-top: 20px;">
                                            <a href="{{ facebookUrl }}" target="_blank">
                                                <i class="fa fa-external-link" aria-hidden="true" style="font-size: 1em;"></i>
                                            </a><br />
                                            {{ school.facebookFollower | formatNumber }} abonnés
                                        </div>
                                    </div>
                                {% endif %}

                                {% if instagramUrl %}
                                    <div class="social-box">
                                        <a class="wow zoomIn" data-wow-delay=".2s" target="_blank" href="{{ instagramUrl }}"><i class="fa fa-instagram"></i></a>
                                        <div style="margin-top: 20px;">
                                            <a href="{{ instagramUrl }}" target="_blank">
                                                <i class="fa fa-external-link" aria-hidden="true" style="font-size: 1em;"></i>
                                            </a><br />
                                            {{ school.instagramFollower | formatNumber }} abonnés
                                        </div>
                                    </div>
                                {% endif %}

                                {% if twitterUrl %}
                                    <div class="social-box">
                                        <a class="wow zoomIn" data-wow-delay=".2s" target="_blank" href="{{ twitterUrl }}"><i class="fa fa-twitter"></i></a>
                                        <div style="margin-top: 20px;">
                                            <a href="{{ twitterUrl }}" target="_blank">
                                                <i class="fa fa-external-link" aria-hidden="true" style="font-size: 1em;"></i>
                                            </a><br />
                                            {{ school.twitterFollower | formatNumber }} abonnés
                                        </div>
                                    </div>
                                {% endif %}

                                {% if youtubeUrl %}
                                    <div class="social-box">
                                        <a class="wow zoomIn" data-wow-delay=".2s" target="_blank" href="{{ youtubeUrl }}"><i class="fa fa-youtube-play"></i></a>
                                        <div style="margin-top: 20px;">
                                            <a href="{{ youtubeUrl }}" target="_blank">
                                                <i class="fa fa-external-link" aria-hidden="true" style="font-size: 1em;"></i>
                                            </a><br />
                                            {{ school.youtubeFollower | formatNumber }} abonnés
                                        </div>
                                    </div>
                                {% endif %}

                                {% if linkedinUrl %}
                                    <div class="social-box">
                                        <a class="wow zoomIn" data-wow-delay=".2s" target="_blank" href="{{ linkedinUrl }}"><i class="fa fa-linkedin"></i></a>
                                        <div style="margin-top: 20px;">
                                            <a href="{{ linkedinUrl }}" target="_blank">
                                                <i class="fa fa-external-link" aria-hidden="true" style="font-size: 1em;"></i>
                                            </a><br />
                                            {{ school.linkedinFollower | formatNumber }} abonnés
                                        </div>
                                    </div>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-12 col-12 cs c3">
                        <div class="box box-green box-ranking">
                            <h4><span>Autres ressources à consulter sur le classement de</span> {{ school.name }}</h4>
                            <ul>
                                {% if school.website %}
                                <li>
                                
                                    <div><img src="{{ asset('assets/images/icon/website.png') }}" alt="">Le site de l'école : <a href="{{ school.website }}" target="_blank">{{ school.website }}</a></div>
                                </li>
                                {% endif %}
                            </ul>
                            <div class="rk-logo">
                                {% if arrayGet(school, 'schoolLink.meilleursMasters') %}
                                    <a href="{{ arrayGet(school, 'schoolLink.meilleursMasters') }}" target="_blank"><img src="{{ asset('assets/images/rk-logo/edu-cl-master.jpg') }}" alt="" /></a>
                                {% endif %}
                                {% if arrayGet(school, 'schoolLink.meilleursGrandesEcoles') %}
                                    <a href="{{ arrayGet(school, 'schoolLink.meilleursGrandesEcoles') }}" target="_blank"><img src="{{ asset('assets/images/rk-logo/edu-cl-lb.jpg') }}" alt="" /></a>
                                {% endif %}
                                {% if arrayGet(school, 'schoolLink.meilleuresLicenses') %}
                                    <a href="{{ arrayGet(school, 'schoolLink.meilleuresLicenses') }}" target="_blank"><img src="{{ asset('assets/images/rk-logo/edu-cl-lb.jpg') }}" alt="" /></a>
                                {% endif %}
                                {% if arrayGet(school, 'schoolLink.eduniversalRanking') %}
                                    <a href="{{ arrayGet(school, 'schoolLink.eduniversalRanking') }}" target="_blank"><img src="{{ asset('assets/images/rk-logo/edu-rk-bs.jpg') }}" alt="" /></a>
                                {% endif %}
                                {% if arrayGet(school, 'schoolLink.bestMasters') %}
                                    <a href="{{ arrayGet(school, 'schoolLink.bestMasters') }}" target="_blank"><img src="{{ asset('assets/images/rk-logo/edu-rk-master.jpg') }}" alt="" /></a>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            {% include 'frontend/news/_last_news.html.twig' %}

        </div>
    </main>
{% endblock %}

{% block javascripts %}
    {{ '<script type="application/ld+json">' | raw }}
    {{ richSnippets | json_encode | raw }}
    {{ '</script>' | raw }}

    <script type="text/javascript">
        $(function () {

          var progressBarOptions = {
            startAngle: -1.55,
            size: 85,
            fill: {
              color: '#2a81ba'
            }
          };

          $('.circle').circleProgress(progressBarOptions).on('circle-animation-progress', function(event, progress, stepValue) {
            var val = String(Number((stepValue*10).toFixed(2)));
            $(this).find('strong').html("<span>"+val+"</span><span>10</span>");
          });
        });
    </script>
{% endblock %}
